#ifndef ADAMMETHOD_H
#define ADAMMETHOD_H
# include "problem.h"
class AdamMethod
{
private:
    Problem *myProblem;
    Data g,m,u,mtilde,utilde;
    Data xpoint;
    double ypoint;
    double alpha,beta1,beta2,epsilon;
public:
    AdamMethod(Problem *p);
    void setAlpha(double a);
    double getAlpha() const;
    void setBeta1(double b);
    double getBeta1() const;
    void setBeta2(double b);
    double getBeta2() const;
    void    setEpsilon(double e);
    double  getEpsilon() const;
    void    Solve();
    Data    getBest() const;
    ~AdamMethod();
};

#endif // ADAMMETHOD_H
